Name: H5Tget_order
Signature:
  H5T_order_t `H5Tget_order`(hid_t `dtype_id` )

Purpose:
  Returns the byte order of an atomic datatype.

Description:
  `H5Tget_order` returns the byte order of an atomic datatype.

  Possible return values are:

  `H5T_ORDER_LE` (`0`)
    Little-endian byte order
  `H5T_ORDER_BE` (`1`)
    Big-endian byte order
  `H5T_ORDER_VAX` (`2`)
    VAX mixed byte order (not currently supported)
  `H5T_ORDER_NONE` (`3`)
    No particular order (fixed-length strings, object and region references)

Parameters:

hid_t `dtype_id` | Identifier of datatype to query.

Returns:
  Returns a byte order constant if successful; otherwise `H5T_ORDER_ERROR` (-1).

Fortran90 Interface: h5tget_order_f

      SUBROUTINE h5tget_order_f(type_id, order, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: type_id ! Datatype identifier
        INTEGER, INTENT(OUT) :: order         ! Datatype byte order
                                              ! Possible values are:
                                              !    H5T_ORDER_LE_F
                                              !    H5T_ORDER_BE_F
                                              !    H5T_ORDER_VAX_F
        INTEGER, INTENT(OUT) :: hdferr        ! Error code
                                              ! 0 on success and -1 on failure
      END SUBROUTINE h5tget_order_f